<?php
/*
####################################################################
# DEBRECENI VIRTUÁLIS SZOBORPARK                                   #
# EDIT-ALKOTO                                                      #
# Új vagy meglévő alkotó adatainak szerkesztése                    #
#                                                                  #
# (C) Debreceni Városi Könyvtár 2008.04.22.                        #
# Készítette: Lente Tamás                                          #
####################################################################
*/
// Csak ha sikeresen belépett admin használja!!!
if (!$_SESSION['user']) {
    exit();
}  
// Ha 0-s zonosítót akarunk szerkeszteni, akkor ez jelenti majd az új alkotót
  if ($id == 0) {
    // Létrehozunk egy új alkotót, akinek a neve: Alkotó aktuálisdátum lesz
    $lekerdezes = lekerdezes("INSERT alkotok (alk_nev,alk_szulev,alk_halalev) VALUES('".ucfirst($szoveg[alkoto])." ".date('Y.m.d. H:i:s')."','','')");
    $id = beszurt_azonosito("alkotok");  
  }

  echo "        <script language=\"Javascript\" src=\"".$dir['jscripts']."/szerkesztes.js\"></script>\n";
  $lekerdezes_alkotok = lekerdezes("SELECT * FROM alkotok WHERE alk_azon = ".$id);
  
  // Ha van ilyen szerkeszthető alkotó, akkor megyünk tovább
  if (ossz_rekord($lekerdezes_alkotok)>0) {
    $rekord_alkoto = olvas_asszociativ($lekerdezes_alkotok);

// Feldolgozó FRAME
// az oldal újratöltése nélkül itt futnak le az SQL módosítások    
    echo "        <iframe name=\"feldolgozo_oldal\" frameborder=\"0\" id=\"feldolgozo\"></iframe>\n";
// Segéd FRAME módosításokhoz
    echo "        <iframe name=\"kieg\" frameborder=\"0\" id=\"kiegeszito\"></iframe>\n";
    
    echo "        <table class=\"adatok\"><tr>\n";
    echo "          <td><span class=\"szoveg\">".ucfirst($szoveg[mezo_azon])."</span>\n";
    echo "          <td><input type=\"text\" size=\"2\" value=\"$rekord_alkoto[alk_azon]\" disabled readonly></td>\n";
    echo "        </tr><tr>\n";

// Alkotó neve
    urlapkeszit("input","alkoto-nev",1,
                "alkotok",
                "alk_azon",$id,ucfirst($szoveg[mezo_kereses_alk_nev]),
                "alk_nev",$rekord_alkoto[alk_nev],20,50);
    echo "        </tr><tr>\n";

// Alkotó születési éve 
    urlapkeszit("input","alkoto-szulev",0,
                "alkotok",
                "alk_azon",$id,ucfirst($szoveg[mezo_szulev]),
                "alk_szulev",$rekord_alkoto[alk_szulev],4,4);
    echo "        </tr><tr>\n";


// Alkotó halálozási éve 
    urlapkeszit("input","alkoto-halalev",0,
                "alkotok",
                "alk_azon",$id,ucfirst($szoveg[mezo_halalev]),
                "alk_halalev",$rekord_alkoto[alk_halalev],4,4);
    echo "        </tr><tr>\n";


// Alkotó információk
    echo "        </tr><tr>\n";
    urlapkeszit("input","alkoto-info",0,
                "alkotok",
                "alk_azon",$id,ucfirst($szoveg[kapcsolodo_info]),
                "alk_info",$rekord_alkoto[alk_info],20,255);
// Alkotói díjak
    echo "        </tr><tr>\n";
    echo "          <form name=\"dijak\">\n";
    echo "          <td valign=\"top\"><span class=\"szoveg\">".ucfirst($szoveg[mezo_dijak])."</span>\n";
    echo "            <img src=\"".$dir['images']."/icon_plus.png\" onClick=\"betolt('dijak','insert','".$id."')\" vspace=2 width=\"13\" height=\"13\" border=\"0\" title=\"Hozzáad\" align=\"absmiddle\"  onMouseOver= \"this.style.cursor='hand'\">\n";
    echo "          </td>";
    
    $lekerdezes_dijak = lekerdezes("SELECT * FROM dijazasok  
            LEFT JOIN dijak ON dij_azon = dij_kod
            WHERE alk_k = ".$id."
            ORDER BY dij_nev, dij_evszam desc");
    $ossz_dij = ossz_rekord($lekerdezes_dijak);
    if ($ossz_dij>0) {
      echo "          <td>\n";
      $dijszam = 0;
      while($rekord_dijak = olvas_asszociativ($lekerdezes_dijak)) {
        $dijszam++;
        echo "            <input type=\"text\" name=\"dij".$dijszam."\" size=\"20\" value=\"".$rekord_dijak[dij_nev];
        if ($rekord_dijak[dij_evszam] != '')
          echo " (".$rekord_dijak[dij_evszam].")";
        echo "\" readonly>\n";
        echo "            <img onClick=\"betolt('dijak','update','dij_kod=".$rekord_dijak[dij_azon]." AND alk_k=".$id."')\" src=\"".$dir['images']."/icon_edit.png\" vspace=0 width=\"16\" height=\"16\" border=\"0\" title=\"Módosít\" align=\"absmiddle\" onMouseOver= \"this.style.cursor='hand'\">\n";
        echo "            <img onClick=\"torles(2,'dijazasok','alk_k=".$id." AND dij_kod=".$rekord_dijak[dij_azon]."')\" src=\"".$dir['images']."/icon_drop.png\" vspace=0 width=\"16\" height=\"16\" border=\"0\" title=\"Töröl\" align=\"absmiddle\" onMouseOver= \"this.style.cursor='hand'\"><br>\n";
      }
    }
    echo "          </td></form>\n";    
    echo "        </tr></table>\n";
  }
  else {
    echo "        <div class=\"hiba\">".ucfirst($szoveg[nincsalkoto]).".</div>\n";
  }
               
// Ürlapkészítő - sima beviteli mezőt készít, módosított tartalomnál AJAX SQL frissítés
// paraméterek:
// $urlapnev: <form> name
// $ures: Ha 1 értékű, akkor kötelező kitölteni, egyébként használjunk 0-t
// $tablanev: a tábla, amelyiken majd módosítani kell
// $feltetel_mezo: a módosítás feltétel mezője
// $feltetel_ertek: a módosítás feltétel értéke
// $mezoszoveg: a képernyőn megjelenő mező neve, aminek módosítjuk a tartalmát
// $mezonev: az SQL-nek átadott mezőnév, aminek módosítjuk a tartalmát
// $mezoertek: az SQL-nek átadott mezőérték, ami a mezőnév értéke lesz
// $size: mező mérete
// $max: mező maximális hossza  
function urlapkeszit($urlaptipus,$urlapnev,$ures,$tablanev,$feltetel_mezo,$feltetel_ertek,$mezoszoveg,$mezonev,$mezoertek,$size,$max) {    
    echo "        <form name=\"".$urlapnev."\" method=\"get\" action=\"modules/feldolgozo.php\" target=\"feldolgozo_oldal\">\n";
    echo "          <td";
    if ($urlaptipus == 'textarea') echo " valign=\"top\"";
    echo ">\n";
    echo "          <input type=\"hidden\" name=\"ures\" value=\"".$ures."\">\n";
    echo "          <input type=\"hidden\" name=\"temp\" size=\"2\" readonly value=\"\">\n";
    echo "          <input type=\"hidden\" name=\"do\" value=\"update\">\n";
    echo "          <input type=\"hidden\" name=\"table\" value=\"".$tablanev."\">\n";
    echo "          <input type=\"hidden\" name=\"mezo\" value=\"".$mezonev."\">\n";
    echo "          <input type=\"hidden\" name=\"feltetel\" value=\"".$feltetel_mezo."\">\n";
    echo "          <input type=\"hidden\" name=\"".$feltetel_mezo."\" value=\"".$feltetel_ertek."\">\n";
    echo "          <span class=\"szoveg\">".$mezoszoveg."</span>";
    if ($ures == 1) echo "<span title=\"Kötelező kitölteni\"><sup>*</sup></span>";
    echo "\n          </td>\n";
    if ($urlaptipus == 'input')
      echo "          <td><input type=\"text\" size=\"".$size."\" maxlength=\"".$max."\" name=\"".$mezonev."\" value=\"".$mezoertek."\" onBlur=\"ellenoriz(this.form,'".$mezonev."')\" onChange=\"changed(this.form)\" size=\"20\"></td>\n";
    elseif ($urlaptipus == 'textarea') {
      $mezoertek = str_replace("<br>","\n",$mezoertek);  
      echo "          <td><textarea cols=\"".$size."\" rows=\"".$max."\" name=\"".$mezonev."\" onBlur=\"ellenoriz(this.form,'".$mezonev."');\" onChange=\"changed(this.form)\" size=\"20\">".$mezoertek."</textarea></td>\n";
    }  
    echo "        </form>\n";
}

?>          
